# Generated by Django 3.0.8 on 2020-12-29 16:35

import apps.dane.validators
import django.contrib.auth.validators
from django.db import migrations, models
import django.utils.timezone
import model_utils.fields
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Historicalapi_sgco_archivos_proceso_estr',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('arpr_farchvo_prcso', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_text], verbose_name='Archivos de proceso de estratificación')),
                ('arpr_dfcha_vgncia', models.DateField(blank=True, null=True, verbose_name='Fecha de la vigencia')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Archivos del proceso de estratificación',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_entidad_remitente',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('usen_cnmbre', models.CharField(max_length=100, verbose_name='Nombre del remitente')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Entidad Remitente',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('estr_crta', models.CharField(blank=True, max_length=100, null=True, verbose_name='Ruta')),
                ('estr_iorden_rcrrido', models.IntegerField(blank=True, null=True, verbose_name='Nº de orden de recorrido')),
                ('estr_cvrda', models.CharField(blank=True, max_length=50, null=True, verbose_name='Vereda')),
                ('estr_crclctor', models.CharField(blank=True, max_length=80, null=True, verbose_name='Persona que recolecta información formulario')),
                ('estr_dfcha_rgstro', models.DateField(verbose_name='Fecha de Registro del formulario')),
                ('estr_inmro_prdial', models.CharField(max_length=25, verbose_name='Número predial Antiguo')),
                ('estr_inmro_prdial_ncional', models.CharField(max_length=30, verbose_name='Número predial nacional')),
                ('estr_inmro_prdial_tmpral', models.CharField(blank=True, max_length=25, null=True, verbose_name='Número predial temporal')),
                ('estr_nzna', models.IntegerField(blank=True, null=True, verbose_name='Nº de zona')),
                ('estr_cdrccion_prdio', models.CharField(max_length=100, verbose_name='Direccion del Predio')),
                ('estr_btiene_vvienda', models.BooleanField(blank=True, default=False, null=True, verbose_name='El Predio Tiene Vivienda')),
                ('estr_icntdad_vviendas', models.IntegerField(blank=True, null=True, verbose_name='¿Cuantas viviendas?')),
                ('estr_farea_dmstrda_mtros', models.FloatField(blank=True, null=True, verbose_name='Area demostrada')),
                ('estr_farea_dmstrda_hctareas', models.FloatField(blank=True, null=True, verbose_name='Hectareas demostradas')),
                ('estr_fdcmntos', models.TextField(blank=True, max_length=100, null=True, validators=[apps.dane.validators.validate_file_size, apps.dane.validators.validate_extension_files], verbose_name='Documento que demuestra el area del predio')),
                ('estr_navluo', models.FloatField(blank=True, null=True, verbose_name='Valor del Avaluo')),
                ('estr_cdscrpcion_mtvo_vsta', models.CharField(blank=True, max_length=150, null=True, verbose_name='Descripción del motivo de la visita')),
                ('estr_iestrto', models.IntegerField(blank=True, null=True, verbose_name='Estrato')),
                ('estr_cvgncia', models.CharField(blank=True, max_length=8, null=True, verbose_name='Vigencia')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Estratificación',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_area_predio',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('esap_izna', models.IntegerField(blank=True, null=True, verbose_name='Nº de zona')),
                ('esap_nhctreas', models.FloatField(verbose_name='Hectareas')),
                ('esap_nmtros', models.FloatField(verbose_name='Metros')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Área del predio',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_caracter_vivienda',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('ecsv_narea_vvienda', models.FloatField(verbose_name='Area de vivienda')),
                ('ecsv_inmro_hbtcions', models.IntegerField(verbose_name='Nº de habitaciones')),
                ('ecsv_cjfe_vvienda', models.CharField(blank=True, max_length=150, null=True, verbose_name='Jefe de la vivienda')),
                ('escv_btiene_cntdor_enrgia', models.BooleanField(default=False, verbose_name='La vivienda tiene contador de Energia')),
                ('escv_cnmro_cntdor_enrgia', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nº de contador de energia')),
                ('escv_btiene_cntdor_acuedcto', models.BooleanField(default=False, verbose_name='La vivienda tiene contador de Acueducto')),
                ('escv_cnmro_cntdor_acuedcto', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nº de contador de acueducto')),
                ('escv_btiene_cntdor_gas', models.BooleanField(default=False, verbose_name='La vivienda tiene contador de Gas')),
                ('escv_cnmro_cntdor_gas', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nº de contador de gas')),
                ('escv_ipntje', models.IntegerField(blank=True, null=True, verbose_name='Puntaje')),
                ('escv_cobsrvciones', models.CharField(blank=True, max_length=250, null=True, verbose_name='Observaciones')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Característica de la vivienda',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_entidad',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('enti_cnmbre', models.CharField(max_length=100, verbose_name='Nombre de la entidad')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Entidad',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_estado_urbano',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('eses_idvpla_nmro', models.IntegerField(verbose_name='Divipola')),
                ('esur_cdcrto_urbno_vgnte', models.CharField(max_length=100, verbose_name='Decreto Urbano Vigente')),
                ('esur_dultmo_plazo', models.DateField(verbose_name='Ultimo plazo')),
                ('esur_cdcrto_adpcion', models.CharField(max_length=250, verbose_name='Decreto de Adopcion')),
                ('esur_cdcrto_cntros_pbldos', models.CharField(max_length=250, verbose_name='Decreto centros Poblados')),
                ('esur_cdcrto_cp_cmncciones', models.CharField(max_length=500, verbose_name='Decreto de Adopcion')),
                ('esur_crvsion_gnral', models.CharField(blank=True, max_length=250, null=True, verbose_name='Revision general')),
                ('esur_crprte_asntmientos_rrales', models.CharField(max_length=500, verbose_name='Reporte de asentamientos rurales')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Estado estratificación',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_igac_cnstrcciones',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('cons_ihbtciones', models.IntegerField(verbose_name='Nº de habitaciones zonas registradas')),
                ('cons_ipntje', models.IntegerField(verbose_name='Puntaje para la estratificacion del registro 2')),
                ('cons_narea_cnstruida', models.FloatField(blank=True, null=True, verbose_name='Area construida')),
                ('cons_inmro_orden', models.IntegerField(verbose_name='Nº de Orden')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical IGAC Construcciones',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_predom_zona',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('espz_dfcha', models.DateField(verbose_name='Fecha del cálculo')),
                ('espz_izna', models.IntegerField(verbose_name='Zona')),
                ('espz_igrpo_csa', models.IntegerField(verbose_name='Estrato para el grupo casa')),
                ('espz_igrpo_apto', models.IntegerField(verbose_name='Estrato para el grupo apartamento')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Estrato predominante de la zona',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_requerimientos',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('req_crdcdo', models.CharField(max_length=15, verbose_name='Nº del radicado')),
                ('req_dfcha_ofcio', models.DateField(verbose_name='Fecha del oficio')),
                ('req_dfcha_rdcdo', models.DateField(verbose_name='Fecha del Radicado')),
                ('req_dfcha_asgncion', models.DateField(blank=True, null=True, verbose_name='Fecha de asignacion del soporte')),
                ('req_dfcha_rspuesta', models.DateField(blank=True, null=True, verbose_name='Fecha de Respuesta')),
                ('req_casnto', models.CharField(max_length=50, verbose_name='Asunto del requerimiento')),
                ('req_cnmro_rspuesta', models.CharField(blank=True, max_length=50, null=True, verbose_name='Nº de Respuesta')),
                ('req_cobsrvciones', models.CharField(blank=True, max_length=250, null=True, verbose_name='Observaciones')),
                ('req_fdcmnto_rspuesta', models.TextField(blank=True, max_length=100, null=True, verbose_name='Documento de respuesta')),
                ('req_fdcmnto_rdcdo', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_files, apps.dane.validators.validate_file_size], verbose_name='Documento de radicado')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Requerimiento',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_requerimientos_anexos',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('rean_fanxos', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_requerimientos_anexos, apps.dane.validators.validate_file_size], verbose_name='Archivos de anexos')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Requerimiento | Anexo',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_requerimientos_temas',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Requerimiento | Tema',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_requerimientos_user',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Requerimiento | Usuario',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_rgstro1_igac',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('is_removed', models.BooleanField(default=False)),
                ('reg1_cnmro_prdial', models.CharField(max_length=25, verbose_name='Nº predial')),
                ('reg1_inmro_orden', models.IntegerField(verbose_name='Nº de Orden')),
                ('reg1_ittal_rgstros', models.IntegerField(verbose_name='Total de registros a relacionar')),
                ('reg1_cdrccion', models.CharField(max_length=100, verbose_name='Direccion del Predio')),
                ('reg1_icmna', models.CharField(blank=True, max_length=1, null=True, verbose_name='Comuna')),
                ('reg1_narea_trrno', models.FloatField(verbose_name='Area del Terreno')),
                ('reg1_narea_cnstruida', models.FloatField(verbose_name='Area Construida')),
                ('reg1_navluo', models.FloatField(verbose_name='Avaluo')),
                ('reg1_cvgncia', models.CharField(max_length=8, verbose_name='Vigencia')),
                ('reg1_inmro_prdial_ncional', models.CharField(max_length=30, verbose_name='Nº predial Anterior')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Registro 1 IGAC',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_rgstro2_igac',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('is_removed', models.BooleanField(default=False)),
                ('reg2_cnmro_prdial', models.CharField(max_length=25, verbose_name='Nº predial')),
                ('reg2_ittal_rgstros', models.IntegerField(verbose_name='Total de registros')),
                ('reg2_cvgncia', models.CharField(max_length=8, verbose_name='Vigencia')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Registro 2 IGAC',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estr_rgstro2_igac_znas',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('eszn_narea_trrno', models.FloatField(blank=True, null=True, verbose_name='Area del terreno')),
                ('eszn_izna_ecnmca', models.IntegerField(verbose_name='Zona economica')),
                ('eszn_inmro_orden', models.IntegerField(verbose_name='Nº de Orden')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Registro 2 IGAC Zonas',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_estrato_atip',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('esat_dfecha', models.DateField(verbose_name='Fecha del cálculo')),
                ('esat_iestrto', models.IntegerField(verbose_name='Estrato atipico')),
                ('esat_iama_1', models.IntegerField(verbose_name='Atipica más 1')),
                ('esat_iame_1', models.IntegerField(verbose_name='Atipica menos 1')),
                ('esat_iama_2', models.IntegerField(verbose_name='Atipica más 2')),
                ('esat_iame_2', models.IntegerField(verbose_name='Atipica menos 2')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Estrato atípico',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_persona',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('pers_cnmbre', models.CharField(max_length=100, verbose_name='Nombres')),
                ('pers_cprmer_aplldo', models.CharField(blank=True, max_length=150, null=True, verbose_name='Primer Apellido')),
                ('pers_csgndo_aplldo', models.CharField(blank=True, max_length=150, null=True, verbose_name='Segundo Apellido')),
                ('pers_nidntfccion', models.CharField(max_length=25, verbose_name='Nº de identificacion')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Persona',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_uaf',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('uaf_npm', models.FloatField(verbose_name='Uaf Promedio Municipal')),
                ('uaf_dfcha_aval', models.DateField(verbose_name='Fecha del Aval de la Uafpm')),
                ('uaf_cvgncia_ctstro_rral', models.IntegerField(verbose_name='Vigencia Catastral Rural')),
                ('uaf_csstma_pcuario_prdmnnte', models.CharField(max_length=50, verbose_name='Sistema pecuario predominante')),
                ('uaf_csstma_agrcla_prdmnnte', models.CharField(max_length=50, verbose_name='Sistema agricola predominante')),
                ('uaf_cvccion_fnal', models.CharField(max_length=50, verbose_name='Vocacion Final')),
                ('uaf_fcpia_dgtal_aval', models.TextField(max_length=100, verbose_name='Copia Digital del Aval')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical UAF',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_uaf_documentos',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('uafd_fdcmnto', models.TextField(max_length=100, validators=[apps.dane.validators.validate_file_size], verbose_name='Documentos uaf')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical UAF Documentos',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_user',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('username', models.CharField(db_index=True, error_messages={'unique': 'A user with that username already exists.'}, help_text='Required. 150 characters or fewer. Letters, digits and @/./+/-/_ only.', max_length=150, validators=[django.contrib.auth.validators.UnicodeUsernameValidator()], verbose_name='username')),
                ('first_name', models.CharField(blank=True, max_length=30, verbose_name='first name')),
                ('last_name', models.CharField(blank=True, max_length=150, verbose_name='last name')),
                ('email', models.EmailField(blank=True, max_length=254, verbose_name='email address')),
                ('is_staff', models.BooleanField(default=False, help_text='Designates whether the user can log into this admin site.', verbose_name='staff status')),
                ('is_active', models.BooleanField(default=True, help_text='Designates whether this user should be treated as active. Unselect this instead of deleting accounts.', verbose_name='active')),
                ('date_joined', models.DateTimeField(default=django.utils.timezone.now, verbose_name='date joined')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Usuario',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_vivienda_banio',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('viba_ffto', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto del baño')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Baño de la vivienda',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_vivienda_cocina',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('vico_ffto', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la cocina')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Cocina de la vivienda',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_vivienda_estructura',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('vies_ffto_armzon', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la estructura: Armazón')),
                ('vies_ffto_cbierta', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la estructura: Cubierta')),
                ('vies_ffto_mros', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la estructura: Muros')),
                ('vies_ffto_cnsrvcion', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la estructura: Estado conservación')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Estructura de la vivienda',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_vviend_acbdos_prncples',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('viap_ffto_mros', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de los muros')),
                ('viap_ffto_psos', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Fotos de los pisos')),
                ('viap_ffto_fchda', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Fotos de la Fachada')),
                ('viap_ffto_cnsrvcion', models.TextField(max_length=100, validators=[apps.dane.validators.validate_extension_images, apps.dane.validators.validate_image_size], verbose_name='Foto de la conservacion')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical Acabados principales',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='Historicalapi_sgco_zhg',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('zhg_icdgo', models.IntegerField(verbose_name='Codigo de la zona homogénea geoeconónica')),
                ('zhg_navluo_hctrea', models.FloatField(verbose_name='Avaluo por hectarea')),
                ('zhg_narea', models.FloatField(verbose_name='Area')),
                ('zhg_navluo_ttal_zna', models.FloatField(blank=True, max_length=150, null=True, verbose_name='Avaluo Total')),
                ('zhg_nuaf_znal', models.FloatField(blank=True, null=True, verbose_name='Uaf Zonal')),
                ('zhg_dfcha_rgstro_zhg', models.DateField(verbose_name='Fecha de registro')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
            ],
            options={
                'verbose_name': 'historical ZHG',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
